# TurnMove | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface TurnMove

interface TurnMove {
ignorePP ?: boolean;
move : Moves ;
result ?: MoveResult ;
targets : BattlerIndex [];
turn ?: number;
virtual ?: boolean;
}

- Defined in src/field/pokemon.ts:7618

##### Index

### Properties

ignorePP?
move
result?
targets
turn?
virtual?

## Properties

### `Optional` ignorePP

ignorePP?: boolean

- Defined in src/field/pokemon.ts:7624

### move

move: Moves

- Defined in src/field/pokemon.ts:7619

### `Optional` result

result?: MoveResult

- Defined in src/field/pokemon.ts:7621

### targets

targets: BattlerIndex []

- Defined in src/field/pokemon.ts:7620

### `Optional` turn

turn?: number

- Defined in src/field/pokemon.ts:7623

### `Optional` virtual

virtual?: boolean

- Defined in src/field/pokemon.ts:7622